Name:           libspeechprovider
Version:        1.0.3
# For the sake of ease of use
%global tag %{lua: print("SPEECHPROVIDER_" .. string.gsub(macros.version, "%.", "_"))}
Release:        1%{?dist}
Summary:        Provider of speech-related functions

License:        Apache-2.0
URL:            https://project-spiel.org/libspeechprovider/

Source0:        https://github.com/project-spiel/%{name}/archive/refs/tags/%{tag}.tar.gz

BuildRequires:  gcc
BuildRequires:  meson
BuildRequires:  cmake
BuildRequires:  pkgconfig(gobject-2.0)
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(gi-docgen)
BuildRequires:  python3-devel

%description
This project includes the resources needed for
building a Spiel speech provider.

%prep
%autosetup -p1 -n %{name}-%{tag}

%build
%meson
%meson_build

%install
%meson_install

%files
%{_includedir}/speech-provider/
%{_libdir}/girepository-1.0/SpeechProvider-1.0.typelib
%{_libdir}/libspeech-provider-1.0.so
%{_libdir}/pkgconfig/speech-provider-1.0.pc
%{_datadir}/gir-1.0/SpeechProvider-1.0.gir
%{_datadir}/speech-provider/org.freedesktop.Speech.Provider.xml

%changelog
* Fri Jan 10 2025 Steve Cossette <farchord@gmail.com> - 1.0.3-1
- Initial release
